--- title: "Verify the status of the uploaded fingerprint file using the REST API call" slug: "verify-the-status-of-the-uploaded-fingerprint-file-using-the-rest-api-call" tags: ["Product Usage", "DLP 11.12.x"] updated: 2026-09-09T08:08:00Z published: 2026-09-09T08:08:00Z canonical: "docs.trellix.com/verify-the-status-of-the-uploaded-fingerprint-file-using-the-rest-api-call" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Verify the status of the uploaded fingerprint file using the REST API call Use the `fileStatus` API call to query or verify the status of the uploaded fingerprint file. ### fileStatus API request Sample query: `curl -k -v -X GET https://<epo_server_name:port>/rest/dlp/classification/EDM/fileStatus?filename=<file_name> -u "admin:<password>"` Where `-X` is used to pass the URL in the GET request method. It specifies the HTTP or HTTPS in communication with the REST interface followed by the `fileStatus` API call that must be performed to verify the status of the uploaded file. The file name must be unique as file path is not passed, and specified without the file extension. `-u` is used to pass the authorization parameters of the ePO - On-prem server, and `epo_server_name:port` is the ePO - On-prem server IP address (or the host name) and port number. By default, the port number is 8443. ### Request parameters **Input parameter** Use `filename` as the query parameter with ? (question mark), to verify the status of the uploaded fingerprint file. The fingerprint filename must be unique and specified without the file extension. **Authorization parameters** Use these parameters to provide the authorization details of ePO - On-prem. | Parameter name | Description | Required | Type | | --- | --- | --- | --- | | **username** | ePO - On-prem user credentials | Required | Basic Auth | | **password** | | Required | Basic Auth | ### Response parameters The parameters returned for the `fileStatus` API request are: | Element | Description | Sample response | | --- | --- | --- | | **filename** | Uploaded file name. The file name must be unique as the file path is not needed and specified without the file extension. | `"filename": "1M",` `"fileId" : "9E872502-0ED2-42CF-A516-552C4634C665",` `"status" : "In Progress"` `"lastSuccessfulUploadTime": "2012-03-19T07:22Z"` | | **fileId** | GUID of the uploaded file | | **status** | Shows the status of the fingerprint file upload. The status field shows one of these values: - In Progress - Completed - Failed | | **lastSuccessfulUploadTime** | Shows the time when the file was last uploaded successfully. | ### Status code List of HTTP status codes returned for `fileStatus` query. | Code | Description | | --- | --- | | 200 OK | Search for the uploaded file is successful. The status field shows one of these values: - In Progress - Completed - Failed | | 400 Bad Request | The query has an invalid parameter or the queried file is not available in the evidence share. |